# Descrição de Imagem do WhatsApp

## Visão Geral

A Descrição de Imagem do WhatsApp é um extra do NVDA que permite obter descrições de imagens geradas por IA em mensagens do WhatsApp. Funciona tanto com a versão desktop do WhatsApp como com a versão da Microsoft Store.

## Funcionalidades

* Obter descrições detalhadas de imagens em mensagens do WhatsApp
* Suporte para múltiplos serviços de visão de IA:
  * OpenAI (GPT-4 Vision)
  * Google Gemini
  * Anthropic Claude
* Comprimento de resposta e idioma da descrição personalizáveis
* Compatível com a versão desktop do WhatsApp e com a versão da Microsoft Store

## Requisitos

* NVDA 2024.2 ou posterior
* WhatsApp Desktop (versão standard ou versão da Microsoft Store)
* Uma chave API para pelo menos um dos serviços de IA suportados:
  * Chave API OpenAI: [https://platform.openai.com/api-keys](https://platform.openai.com/api-keys)
  * Chave API Google Gemini: [https://aistudio.google.com/app/apikey](https://ai.google.dev/)
  * Chave API Anthropic Claude: [https://console.anthropic.com/](https://console.anthropic.com/)
* O Gemini oferece limites de taxa suficientemente generosos gratuitamente.


## Instalação

1. Faça o download do pacote do extra da Loja de extras do NVDA ou da página de lançamentos deste repositório.
2. Abra o pacote do extra com o NVDA, o que iniciará o processo de instalação.
3. Siga as instruções no ecrã para concluir a instalação.
4. Reinicie o NVDA quando solicitado.

## Configuração

1. Vá para o menu NVDA > Preferências > configurações > Descrição de Imagem do WhatsApp.
2. Selecione o seu serviço de IA preferido.
3. Introduza a sua chave API para o serviço selecionado.
4. Escolha o seu modelo de IA preferido.
5. Ajuste o comprimento máximo da resposta (em tokens) se necessário.
6. Selecione o seu idioma de descrição preferido.
7. Clique em OK para guardar as suas configurações.

## Utilização

1. Abra o WhatsApp e navegue até uma conversa.
2. Navegue até uma mensagem que contenha uma imagem.
3. Prima ALT+I para obter uma descrição da imagem.
4. A descrição será apresentada numa janela legível onde poderá revê-la ao seu próprio ritmo.
5. Prima ESC para fechar a janela de descrição quando terminar.

## Resolução de Problemas

* **"Este comando só funciona no WhatsApp"**: Certifique-se de que está no WhatsApp e focado numa mensagem.
* **"Nenhuma imagem encontrada nesta mensagem"**: Certifique-se de que está focado numa mensagem que contenha uma imagem.
* **"Chave API Requerida"**: Necessita adicionar a sua chave API no painel de definições.

## Licença

Este complemento é licenciado sob a GNU General Public License v2.

## Créditos e Agradecimentos

* Obrigado à comunidade NVDA pelo seu apoio e feedback.
